Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3
Class SetNextRule

    java.lang.Object
      org.apache.commons.digester3.Rule
          org.apache.commons.digester3.AbstractMethodRule
              org.apache.commons.digester3.SetNextRule

    public class SetNextRule

extends AbstractMethodRule

Rule implementation that calls a method on the (top-1) (parent) object, passing the top object (child) as an argument. It is commonly used to establish parent-child relationships.

This rule now supports more flexible method matching by default. It is possible that this may break (some) code written against release 1.1.1 or earlier. See `AbstractMethodRule.isExactMatch()` for more details.

Note that while CallMethodRule uses commons-beanutils' data-conversion functionality (ConvertUtils class) to convert parameter values into the appropriate type for the parameter to the called method, this rule does not. Needing to use ConvertUtils functionality when building parent-child relationships is expected to be very rare; however if you do need this then instead of using this rule, create a CallMethodRule specifying targetOffset of 1 in the constructor.

Field Summary

Fields inherited from class org.apache.commons.digester3.AbstractMethodRule
`fireOnBegin, methodName, paramType, paramTypeName, useExactMatch`

Constructor Summary
`SetNextRule(String methodName)` Construct a "set next" rule with the specified method name.
`SetNextRule(String methodName, Class<?> paramType)` Construct a "set next" rule with the specified method name.
`SetNextRule(String methodName, String paramType)` Construct a "set next" rule with the specified method name.

Method Summary
`protected Object` | `getChild()` Returns the argument object of method has to be invoked.
`protected Object` | `getParent()` Returns the target object of method has to be invoked.

Methods inherited from class org.apache.commons.digester3.AbstractMethodRule
`begin, end, isExactMatch, isFireOnBegin, setExactMatch, setFireOnBegin, toString`

Methods inherited from class org.apache.commons.digester3.Rule
`body, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetNextRule

    public SetNextRule(String methodName)

  Construct a "set next" rule with the specified method name. The method's argument type is assumed to be the class of the child object.

  Parameters:
    `methodName` - Method name of the parent method to call

### SetNextRule

    public SetNextRule(String methodName,
                       String paramType)

  Construct a "set next" rule with the specified method name.

  Parameters:
    `methodName` - Method name of the parent method to call
    `paramType` - Java class name of the parent method's argument (if you wish to use a primitive type, specify the corresonding Java wrapper class instead, such as `java.lang.Boolean` for a `boolean` parameter)

### SetNextRule

    public SetNextRule(String methodName,
                       Class<?> paramType)

  Construct a "set next" rule with the specified method name.

  Parameters:
    `methodName` - Method name of the parent method to call
    `paramType` - Java class of the parent method's argument (if you wish to use a primitive type, specify the corresonding Java wrapper class instead, such as `java.lang.Boolean` for a `boolean` parameter)

Method Detail

### getChild

    protected Object getChild()

  Returns the argument object of method has to be invoked.

  Specified by:
    `getChild` in class `AbstractMethodRule`
  Returns:
    the argument object of method has to be invoked.

### getParent

    protected Object getParent()

  Returns the target object of method has to be invoked.

  Specified by:
    `getParent` in class `AbstractMethodRule`
  Returns:
    the target object of method has to be invoked.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.